<?php
// define present value
$presentValue = 100000;

// define interest rate per compounding period
$intRate = 8;

// define number of compounding periods
$numPeriods = 6;

// calculate future value assuming compound interest
// result: "100000 @ 8 % over 6 periods becomes 158687.43"
$futureValue = round($presentValue * pow(1 + ($intRate/100), $numPeriods), 2);
echo "$presentValue @ $intRate % over $numPeriods periods becomes $futureValue";
?>
