<?php
// include Math_Fraction class
include "Math/Fraction.php";

// include Math_FractionOp class
include "Math/FractionOp.php";

// define two fractions
$fract1 = new Math_Fraction(1,2);
$fract2 = new Math_Fraction(1,3);

// add the fractions
// result: "Sum: 5/6"
$obj = Math_FractionOp::add($fract1, $fract2);
echo "Sum: " . $obj->toString() . "\n";

// subtract the fractions
// result: "Difference: 1/6"
$obj = Math_FractionOp::sub($fract1, $fract2);
echo "Difference: " . $obj->toString() . "\n";

// multiply the fractions
// result: "Product: 1/6"
$obj = Math_FractionOp::mult($fract1, $fract2);
echo "Product: " . $obj->toString() . "\n";

// divide the fractions
// result: "Quotient: 3/2"
$obj = Math_FractionOp::div($fract1, $fract2);
echo "Quotient: " . $obj->toString() . "\n";

// invert (reciprocal) a fraction
// result: "Reciprocal: 2/1"
$obj = Math_FractionOp::reciprocal($fract1);
echo "Reciprocal: " . $obj->toString() . "\n";

// compare the fractions
// returns -1 if LHS < RHS, 0 if LHS = RHS, 1 otherwise
// result: 1
echo Math_FractionOp::compare($fract1, $fract2);
?>
