<?php
// include Math_Complex class
include "Math/Complex.php";

// define a new complex number
$complex = new Math_Complex(3,-5);

// as string
// result: "3-5i"
echo $complex->toString() . "\n";

// retrieve real part of complex number
// result: "Real part: 3"
echo "Real part: " . $complex->getReal() . "\n";

// retrieve imaginary part of complex number
// result: "Imaginary part: -5"
echo "Imaginary part: " . $complex->getIm() . "\n";

// retrieve norm of complex number
// result: "Norm: 5.83095189485" 
echo "Norm: " . $complex->norm();
?>
