<?php
// get date
// result: "30 Oct 2006" (example)
echo date("d M Y", mktime()) . " \n";

// get time
// result: "12:38:26 PM" (example)
echo date("h:i:s A", mktime()) . " \n";

// get date and time
// result: "Monday, 30 October 2006, 12:38:26 PM" (example)
echo date ("l, d F Y, h:i:s A", mktime()) . " \n";

// get time with timezone
// result: "12:38:26 PM UTC"
echo date ("h:i:s A T", mktime()) . " \n";

// get date and time in ISO8601 format
// result: "2006-10-30T12:38:26+00:00"
echo date ("c", mktime());
?>