<?php
// define a variable outside the function
$name = "Joe";

// define a function to alter the variable
function whoAmI() {
	// access the variable from inside the function
	global $name;

	// check the variable
	// result: "I am Joe at the beginning of the function."
	echo "I am $name at the beginning of the function.\n";
	
	// redefine the variable inside the function
	$name = "Jane";

	// check the variable
	// result: "I am Jane at the end of the function."
	echo "I am $name at the end of the function.\n";
}

// check the variable
// result: "I am Joe before running the function."
print "I am $name before running the function.\n";

// call the function
echo whoAmI();

// check the variable
// result: "I am Jane after running the function."
print "I am $name after running the function.\n";
?>
