<?php
// define recursive function
// to display directory contents
function recurseDir($dir) {
	// check for valid argument
	if (!is_dir($dir)) { die("Argument '$dir' is not a directory!"); }

	// open directory handle
	$dh = opendir($dir) or die ("Cannot open directory '$dir'!");

	// iterate over files
	while (($file = readdir($dh)) !== false)  {
		// ignore . and .. items
		if ($file != "." && $file != "..") {
			if (is_dir("$dir/$file")) {
			    // if this is a subdirectory
			    // recursively process it
				recurseDir("$dir/$file");
			} else	{
    			// if this is a file   
                     // print file name and path
				echo "$dir/$file \n";
			}
		}
	}
}

// recursively process directory
recurseDir('/tmp');
?>
