<?php
// define base class
class Dog {
	// define some properties
	public $name;
	public $age;

	// define some methods
	public function __construct() {
		echo "Constructing a Dog.\n";
	}

	public function wagTail() {
		echo "Hmmm...this is a happy Dog.\n";
	}
}

// use reflection to inspect the class
$reflector = new ReflectionClass('Dog');

// list constants
echo "Constants: ";
foreach ($reflector->getConstants() as $key => $value) {
	echo "$key=$value  ";	
}
echo "\n";

// list properties
echo "Properties: ";
$vars = $reflector->getProperties();
foreach ($vars as $obj) {
	echo $obj->getName() . "  ";
}
echo "\n";

// list methods
echo "Methods: ";
$methods = $reflector->getMethods();
foreach ($methods as $obj) {
	echo $obj->getName() . "  ";
}
echo "\n";
?>
