<?php
// sample class
class Instance {
    // define static property
    static $instanceCounter = 0;    
    
    // constructor
    // increments ID every time a 
    // new instance is created
    public function __construct() {
        echo "Creating new Instance...\n";
        self::$instanceCounter++;
    }
    
    // method to return current instance ID
    public function getInstanceCounter() {
        return self::$instanceCounter;
    }
}

// create instances
$a = new Instance;
$b = new Instance;

// retrieve counter value
// correct result: "There have been 2 Instances created"
echo "There have been " . $a->getInstanceCounter() . " Instances created\n";    
// incorrect result: "There have been Instances created"
echo "There have been " . $a->instanceCounter . " Instances created\n";         

?>
