<?php
// define class
class overloadedClass {
    // define overloaded method
    public static function __call($method, $args) {
        // check method name
        if ($method == "invert") {
            // check number of arguments
            if (sizeof($args) == 1) {
                $arg = $args[0];
                // check argument type
                // and perform appropriate task
                if (is_string($arg)) {
                    return strrev($arg);    
                } else if (is_numeric($arg)) {
                    return 1/$arg;          // reciprocal of number
                } else if (is_array($arg)) {
                    return array_reverse($arg); 
                } else if (is_bool($arg)) {
                    return ($arg === FALSE) ? true : false;
                } else if (is_null($arg)) {
                    return null;
                }                
            } else {
                die ("ERROR: Incorrect number of arguments\n");
            }
        } else {
            die ("ERROR: Unknown method '$method'\n");
        }
    }
}
        
// create instance
$o = new overloadedClass;

// execute overloaded method with different datatypes
echo $o->invert("egg") . "\n";	// result: "gge"
echo $o->invert(true) . "\n";      // result: false
echo $o->invert(2) . "\n";         // result: 0.5
// result: ('t', 'a', 'c')
print_r($o->invert(array("c", "a", "t"))) . "\n";  
?>
