<?php
// define class
class virtualMethodClass {
	// define method
	// to intercept all calls for
	// methods that are not already defined
	function __call($method, $args) {
		echo "You called method [$method] with arguments [" . implode(", ", $args) . "]\n";
	}
}

// create object instance
$obj = new virtualMethodClass();

// call a method that does not exist
// result: "You called method [calculateArea] with arguments []"
$obj->calculateArea();

// call another method that does not exist
// with arguments
// result: "You called method [jump] with arguments [10, inches]"
$obj->jump("10", "inches");
?>
