<?php
// function to check for a file
// in the PHP include path
function searchIncludePath($file) {
    // get a list of all the directories
    // in the include path
    $searchList = explode(";", ini_get('include_path'));

    // iterate over the list
    // check for the file
    // return the path if found
    foreach ($searchList as $dir)    {
        if (file_exists("$dir/$file")) { return realpath("$dir/$file"); }
    } 
    return false;
}

// look for the file "DB.php"
$result = searchIncludePath('DB.php');
echo $result ? "File was found in $result" : "File was not found";
?>