<?php
// include HTML_TreeMenu class
include "HTML/TreeMenu.php";

// initialize menu object
$root = new HTML_TreeMenu();

// set up first level
$a2h = new HTML_TreeNode(array("text" => "A-H", "link" => null));
$i2p = new HTML_TreeNode(array("text" => "I-P", "link" => null));
$q2z = new HTML_TreeNode(array("text" => "Q-Z", "link" => null));

// set up second level
$apparel = new HTML_TreeNode(array("text" => "Apparel", "link" => "catalog/apparel.html"));
$accessories = new HTML_TreeNode(array("text" => "Accessories", "link" => "catalog/accessories.html"));
$hdecor = new HTML_TreeNode(array("text" => "Home Decor", "link" => "catalog/hdecor.html"));
$jewelery = new HTML_TreeNode(array("text" => "Jewelry", "link" => "catalog/jewelry.html"));
$pharma = new HTML_TreeNode(array("text" => "Pharmacy", "link" => "catalog/pharmacy.html"));
$shoes = new HTML_TreeNode(array("text" => "Shoes", "link" => "catalog/shoes.html"));
$toys = new HTML_TreeNode(array("text" => "Toys", "link" => "catalog/toys.html"));

// set up third level
$men = new HTML_TreeNode(array("text" => "Men", "link" => "catalog/shoes-men.html"));
$women = new HTML_TreeNode(array("text" => "Women", "link" => "catalog/shoes-women.html"));

// start linking nodes
// attach first level to root
$root->addItem($a2h);
$root->addItem($i2p);
$root->addItem($q2z);

// attach second-level items
// A-H
$a2h->addItem($apparel);
$a2h->addItem($accessories);
$a2h->addItem($hdecor);
// I-P
$i2p->addItem($jewelery);
$i2p->addItem($pharma);
// Q-Z
$q2z->addItem($shoes);
$q2z->addItem($toys);

// attach third-level items
$apparel->addItem($men);
$apparel->addItem($women);
$shoes->addItem($men);
$shoes->addItem($women);
?>
<html>
<head>
<!-- link in the JavaScript code for expanding/collapsing the tree -->
<script src="TreeMenu.js" language="JavaScript" type="text/javascript"></script>
</head>
<body>
<?php
// initialize menu interface
// set options: path for tree images 
//		 frame to load click targets
$menu = new HTML_TreeMenu_DHTML($root, array("linkTarget" => "rhframe", "images" => "images/"));

// print menu tree
$menu->printMenu();
?>
</body>
</html>
