<html>
<head>
<link rel="stylesheet" href="layersmenu-gtk2.css" type="text/css"></link>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu-browser_detection.js"></script>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu-library.js"></script>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu.js"></script>
</head>
<body>

<?php
// include PHPLayers class
include "lib/PHPLIB.php";
include "lib/layersmenu-common.inc.php";
include "lib/layersmenu.inc.php";

// initialize menu object
$menu = new LayersMenu();

// define file paths
$menu->setDirroot(".");
$menu->setImgwww("menuimages/");
$menu->setIconwww("menuicons/");

// set menu templates
$menu->setHorizontalMenuTpl("templates/layersmenu-horizontal_menu.ihtml");
$menu->setSubMenuTpl("templates/layersmenu-sub_menu.ihtml");

// define menu as string
// this menu has 2 main menu items
$menuStr =<<< END
.|Meals|||
..|Breakfast|breakfast.html||
...|Cornflakes|breakfast.html#corn||
...|Toast|breakfast.html#toast||
..|Lunch|lunch.html||
...|Pasta Amatriciana|lunch.html#specials||
..|Dinner|dinner.html||
...|Roast Pork|dinner.html#option1||
...|Fried Trout with Scallions|dinner.html#option2||
.|Movies|||
..|Romance|http://some.domain.com/show.php?genre=Romance||
...|Sleepless In Seattle|http://some.domain.com/review.php?id=84||
..|Comedy|http://some.domain.com/show.php?genre=Comedy||
...|Meet The Parents|http://some.domain.com/review.php?id=9||
...|Four Weddings And A Funeral|http://some.domain.com/review.php?id=17||
..|Action|http://some.domain.com/show.php?genre=Action||
...|Rambo: First Blood|http://some.domain.com/review.php?id=54||
END;

// parse menu string
$menu->setMenuStructureString($menuStr);
$menu->parseStructureForMenu("myMenu");

// generate menu
$menu->newHorizontalMenu("myMenu");

// render and display menu
$menu->printHeader();
$menu->printMenu("myMenu");
$menu->printFooter();
?>
</body>
</html>
