<?php
// function to validate a credit card number
function validateCCNum($str) {
    // test if input is of the form dddddddddddddddd
    return preg_match("/^\d{16}$/" ,$str);
}

// function to validate a credit card expiry date
function validateCCExpDate($str) {
    // test if input is of the form mm/yyyy
    return preg_match("/(0[1-9]|1[0-2])\/20[0-9]{2}$/", $str);
}

// result: "Is a valid 16-digit number"
echo validateCCNum("4476269198125132") ? "Is a valid 16-digit number" : "Is not a 16-digit number";

// result: "Is a valid date string"
echo validateCCExpDate("12/2013") ? "Is a valid date string" : "Is an invalid date string";
?>
