<?php
// function to validate U.S. Social Security number
function validateSSN($str) {
    // test if input is of the form ddd-dd-dddd
    return preg_match("/^\d{3}\-\d{2}\-\d{4}$/", $str);
}

// result: "Is a properly-formatted SSN"
echo validateSSN("123-45-6789") ? "Is a properly-formatted SSN" : "Is an improperly-formatted SSN";

// result: "Is an improperly-formatted SSN"
echo validateSSN("123456789") ? "Is a properly-formatted SSN" : "Is an improperly-formatted SSN";
?>
