<?php
// function to validate
// an e-mail address
function validateEmailAddress($str) {
    // test if input matches e-mail pattern
    return eregi("^([a-z0-9_-])+([\.a-z0-9_-])*@([a-z0-9-])+(\.[a-z0-9-]+)*\.([a-z]{2,6})$", $str);
}

// result: "Is a properly-formatted e-mail address"
echo validateEmailAddress("joe@some.domain.com") ? "Is a properly-formatted e-mail address" : "Is an improperly-formatted e-mail address";

// result: "Is an improperly-formatted e-mail address"
echo validateEmailAddress("joe@dom.") ? "Is a properly-formatted e-mail address" : "Is an improperly-formatted e-mail address";
?>
