<?php
// function to validate
// an e-mail address
function validateEmailAddress($str) {
    // test if input matches email pattern
    return preg_match('/[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+(?:\.[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+)*\@[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+(?:\.[^\x00-\x20()<>@,;:\\".[\]\x7f-\xff]+)+/i', $str);
}

// result: "Is a properly-formatted e-mail address"
echo validateEmailAddress("joe@some.domain.com") ? "Is a properly-formatted e-mail address" : "Is an improperly-formatted e-mail address";

// result: "Is an improperly-formatted e-mail address"
echo validateEmailAddress("joe@dom.") ? "Is a properly-formatted e-mail address" : "Is an improperly-formatted e-mail address";
?>
