<html>
<head></head>
<body>
<?php
// include HTML_Quickform class
include "HTML/QuickForm.php";

// initialize form object
$form = new HTML_QuickForm("uploadFile");

// add file upload element
$file =& $form->addElement("file", "filedata", "Select image file:");

// add submit button
$form->addElement("submit", null, "Upload Image");

// add file input validation rules 
$form->addRule("filedata", "Please select a file for upload", "uploadedfile");
$form->addRule("filedata", "Please upload only images", "mimetype", array("image/gif", "image/jpeg", "image/pjpeg"));

// validate file input 
if ($form->validate()) {
    // if valid upload
    // move file to upload area
    // print success message
    $uploadDir = "./uploads/";
    if ($file->isUploadedFile())  {
        $info = $file->getValue();
        $file->moveUploadedFile($uploadDir);
        echo "File successfully uploaded to $uploadDir" . $info['name'];
    } else     {
        echo "Not a valid file upload";    
    }
    exit;
}

// render and display form
$form->display();
?>
</body>
</html>
