<?php
// increase script execution time limit
ini_set('max_execution_time', 600);

// include HTML_Progress class
include "HTML/Progress2.php";

// create objects
$progress = new HTML_Progress2();

// ensure ID is present
$id = $_GET['id'];
if (trim($id) == "") {
    die ("ERROR: No file ID present");
}

// custom handler for progress bar ticks
function customHandler($progressValue, &$obj) {
    // retrieve file transfer ID
    global $id;
    
    // check for semaphore file
    // if it exists, file upload is complete
    // close this popup
    // if not,
    // sleep 2 seconds and try again
    if (file_exists("upld$id")) {
        unlink("upld$id");
        echo "<script language='javascript'>self.close()</script>";
    } else {
        sleep(2);
    }
}
?>
<html>
<head>
<title>Upload In Progress</title>
<?php
echo $progress->getStyle(false); 
echo $progress->getScript(false);
?>
</head>
<body>
 
<div id="progress">
<?php 
// set bar speed and increment value
$progress->setAnimSpeed(100);
$progress->setIncrement(10);

// place bar in indeterminate mode
$progress->setIndeterminate(true);

// set user-defined function
// this will check when upload is complete
// and switch bar back to indeterminate mode
$progress->setProgressHandler('customHandler');

// initialize progress bar display
$progress->display(); 
$progress->run();
?>
</div>

</body>
</html>
