<?php
// open connection
$connection = pg_connect("host=localhost dbname=db1 user=user password=pass") or die ("ERROR: Cannot connect");

// create and execute INSERT query
$sql = "INSERT INTO products (id, name) VALUES ('5', 'pears')";
pg_query($connection, $sql) or die ("ERROR: " . pg_last_error($connection) . " (query was $sql)");

// create and execute SELECT query
$sql = "SELECT id, name FROM products";
$result = pg_query($connection, $sql) or die ("ERROR: " . pg_last_error($connection) . " (query was $sql)");

// check for returned rows
// print if available
if (pg_num_rows($result) > 0) {
     while($row = pg_fetch_row($result)) {
          echo $row[0] . " = " . $row[1] . "\n";
     }
} else {
     echo "No records found!";
}

// close connection
pg_close($connection);
?>
