<?php
// open connection
$connection = odbc_connect('DBI', 'user', 'pass') or die ("ERROR: Cannot connect");

// create and execute INSERT query
$sql = "INSERT INTO products (id, name) VALUES ('5', 'pears')";
odbc_exec($connection, $sql) or die ("ERROR: " . odbc_errormsg($connection) . " (query was $sql)");

// create and execute SELECT query
$sql = "SELECT id, name FROM products";
$result = odbc_exec($connection, $sql) or die ("ERROR: " . odbc_errormsg($connection) . " (query was $sql)");

// check for returned rows
// print if available
if (odbc_num_rows($result) > 0) {
     while($row = odbc_fetch_row($result)) {
          echo $row[0] . " = " . $row[1] . "\n";
     }
} else {
     echo "No records found!";
}

// close connection
odbc_close($connection);
?>
