<?php
// define data array 
$data = array(
    "10" => "tomatoes",
    "11" => "potatoes",
    "12" => "carrots",
    "13" => "onions",
    "14" => "beans"
);

// open connection
$connection = mysqli_connect('localhost', 'user', 'pass', 'db1') or die ("ERROR: Cannot connect");

// create prepared statement
$sql = "INSERT INTO products (id, name) VALUES (?, ?)";
$stmt = mysqli_prepare($connection, $sql) or die("ERROR: " . mysqli_error($connection));

// bind parameters to statement
mysqli_stmt_bind_param($stmt, 'is', $id, $name);

// process data array
// execute prepared statement with different values
// on each iteration
foreach ($data as $id => $name) {
    mysqli_stmt_execute($stmt) or die("ERROR: " . mysqli_stmt_error($stmt));
}

// close statement
mysqli_stmt_close($stmt);

// close connection
mysqli_close($connection);

// display message
echo "Record(s) successfully added.";
?>
