<?php
// attempt a connection
try {
   $pdo = new PDO('mysql:dbname=db1;host=localhost', 'user', 'pass');
} catch (PDOException $e) {
   die("ERROR: Cannot connect: " . $e->getMessage());
}

// create nested query
$sql = "SELECT name, price FROM products where id IN (SELECT id FROM inventory WHERE qty <= 200)";
$rslt = $pdo->query($sql) or die("ERROR: " . implode(":", $pdo->errorInfo())); 
while ($row = $rslt->fetch()) {
    echo $row[0] . " = " . $row[1] . "\n";
}
  
// close connection
unset($pdo);
?>