<?php
// define XML data string
$xmlData = <<< END
<?xml version="1.0"?>
<data>
    <color red="128" green="0" blue="128">purple</color>
</data>
END;

// read XML data string
$xml = simplexml_load_string($xmlData) or die("ERROR: Cannot create SimpleXML object");

// read attribute values
$hexColor = sprintf("#%02x%02x%02x", $xml->color['red'], $xml->color['green'], $xml->color['blue']);

// read node data
// result: "The color purple is #800080 in hexadecimal"
echo "The color " . $xml->color . " is " . $hexColor . " in hexadecimal";
?>
