<?php
// create XML data string
$xmlData =<<< END
<?xml version="1.0"?>
<collection>
    <color>red</color>
    <color>blue</color>
    <color>green</color>
    <color>yellow</color>
</collection>
END;

// read XML data
$xml = simplexml_load_string($xmlData) or die("ERROR: Cannot create SimpleXML object");

// process node collection
// result: "color: red color: blue color: green color: yellow "
foreach ($xml->children() as $name => $data) {
    echo "$name: $data ";
}
?>
