<?php
// create XML data string
$xmlData =<<< END
<?xml version="1.0"?>
<movie>
    <title>The Matrix</title>
    <credits>
        <actor>
            <name>Keanu Reeves</name>
            <character>Neo</character>
        </actor>
        <actor>
            <name>Laurence Fishburne</name>    
            <character>Morpheus</character>
        </actor>
        <actor>
            <name>Carrie-Anne Moss</name>    
            <character>Trinity</character>
        </actor>
        <director>
            <name>Andy Wachowski</name>
        </director>
        <director>
            <name>Larry Wachowski</name>
        </director>
    </credits>
    <year>1999</year>
    <duration units="min">120</duration>
</movie>
END;

// read XML data
$xml = simplexml_load_string($xmlData, "SimpleXMLIterator") or die("ERROR: Cannot create SimpleXML object");

// recursively iterate over XML tree
foreach(new RecursiveIteratorIterator($xml, true) as $name => $data) {
    if (trim($data) != "") {
        echo "$name: [$data, " . strlen($data) . "]\n";
    }
}
?>
