<?php
// define XML data string
// containing namespaces
$xmlData = <<< END
<?xml version="1.0"?>
<data xmlns:home="http://www.some.domain/xmlns/home" xmlns:work="http://www.some.domain/xmlns/work">
    <home:file>music.txt</home:file>
    <work:file>accounts.dat</work:file>
    <work:file>inbox.mbx</work:file>
    <home:file>expenses.xls</home:file>
    <home:file>addressbook.doc</home:file>
</data>
END;

// read XML data
$xml = simplexml_load_string($xmlData);

// process nodes in "work" namespace
// result: "accounts.dat inbox.mbx "
foreach ($xml->children("http://www.some.domain/xmlns/work") as $file) {
    echo "$file ";
}
?>
