<?php
// read XML data
$xml = new DOMDocument;
$xml->load('review.xml');

// read XSL stylesheet data
$xsl = new DOMDocument;
$xsl->load('review.xsl');

// initialize XSLT engine
$xslp = new XSLTProcessor;

// attach XSL stylesheet object
$xslp->importStyleSheet($xsl); 

// perform transformation
echo $xslp->transformToXML($xml);
?>
