<html>
<head></head>
<body>

<?php
if (!isset($_POST['submit'])) {
?>

    <form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
        Search Google for: <input type="text" name="q">
        <input type="submit" name="submit" value="Search">
    </form>

<?php
} else {
    // include SOAP class
    include "SOAP/Client.php";

    // initialize SOAP client
    $soapclient = new SOAP_Client("http://api.google.com/GoogleSearch.wsdl");
    
    // set up an array containing input parameters to be
    // passed to the remote procedure
    $params = array( 'key' => 'xxxx',       // insert your Google key here
                     'q'   => $_POST['q'],  // search term
                     'start' => 0,          // start from result n
                     'maxResults' => 10,    // show a total of n results
                     'filter' => false,     // remove similar results
                     'restrict' => '',      // restrict by topic
                     'safeSearch' => false, // remove adult links
                     'lr' => '',            // restrict by language
                     'ie' => '',            // input encoding
                     'oe' => '');           // output encoding
    
    // invoke the method on the server
    $result = $soapclient->call("doGoogleSearch", $params, array('namespace' => 'urn:GoogleSearch')); 
    
    // check for an error
    if (get_class($result) == "soap_fault") {
        die("ERROR: " . $result->message);
    }
    // else print results
    echo "<h2>Search Results</h2>";
    echo $result->estimatedTotalResultsCount . " hits found in " . $result->searchTime . " ms";
    echo "<ul>";
    if (is_array($result->resultElements)) {
        foreach ($result->resultElements as $r) {
            echo "<li><a href=\"" . $r->URL . "\">" . $r->title . "</a>";
            echo "<br>";
            echo $r->snippet . "(" . $r->cachedSize . ")";
            echo "<p></p>";
        }
    }
    echo "</ul>";  
}
?>
</body>
</html>
