<html>
<head></head>
<body>

<?php
if (!isset($_POST['submit'])) {
?>

    <form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
        Search Amazon.com for ISBN: <input type="text" name="isbn">
        <input type="submit" name="submit" value="Search">
    </form>

<?php
} else {
    // include SOAP class
    include "SOAP/Client.php";

    // initialize SOAP client (non-WSDL)
    $soapclient = new SOAP_Client("http://webservices.amazon.com/onca/soap?Service=AWSECommerceService");

    // set up an array of input parameters
    // passed to the remote procedure
    $params = array( 'Service' => 'AWSECommerceService',  // service 
                     'SubscriptionId' => 'xxxxx',         // insert your ECS key here
                     'ItemId' => $_POST['isbn'] );        // ISBN number
    
    // invoke the method on the server
    $result = $soapclient->call("ItemLookup", $params); 
    
    // check for an error
    if (get_class($result) == "soap_fault") {
        die("ERROR: " . $result->message);
    }
    // else print results
    echo "<h2>Search Results</h2>";
    echo "ASIN: " . $result['Items']->Item->ASIN . "<br />";    
    echo "Title: " . $result['Items']->Item->ItemAttributes->Title . "<br />";    
    echo "Author: " . $result['Items']->Item->ItemAttributes->Author . "<br />";    
    echo "<a href=\"" . $result['Items']->Item->DetailPageURL . "\">Read more</a>...";    
}
?>
</body>
</html>
