<?php
// set access parameters
$host = "ftp.some.domain.dom";
$user = "joe";
$pass = "secret";
$dir = "/pub";

// open connection to FTP server
$conn = ftp_connect($host) or die ("ERROR: Cannot connect"); 

// log in
ftp_login($conn, $user, $pass) or die ("ERROR: Cannot log in"); 

// get file listing
$list = ftp_nlist($conn, ".") or die("ERROR: Cannot list files");
foreach ($list as $file) {
    echo "$file\n";
}

// download a file
$remote = "code.zip";
$local = "code_020207.zip";
ftp_get($conn, $local, $remote, FTP_BINARY) or die ("ERROR: Cannot download file: $remote"); 
echo "File [$remote] successfully downloaded as [$local]\n";

// upload a file
$local = "photo556.jpg";
$remote = "photo556.jpg";
ftp_put($conn, $remote, $local, FTP_BINARY) or die ("ERROR: Cannot upload file: $local"); 
echo "File [$local] successfully uploaded as [$remote]\n";

// delete a file
$remote = "addresses.tmp";
ftp_delete($conn, $remote) or die ("ERROR: Cannot delete file: $remote"); 
echo "File [$remote] successfully deleted\n";

// disconnect
ftp_close($conn); 
?>
