<?php
// include class
include "Net/POP3.php";

// set mailbox access parameters
$host = "mail.server.com";
$user = "john";
$pass = "secret";
$port = "110";


// create object
$pop3 =& new Net_POP3();

// connect to host
if(PEAR::isError($ret = $pop3->connect($host, $port))){
    die("ERROR: " . $ret->getMessage());
}

// log in
if(PEAR::isError($ret = $pop3->login($user, $pass, 'USER'))){
    die("ERROR: " . $ret->getMessage());
}

// get number of messages and mailbox size
echo $pop3->numMsg() . " messages in mailbox, " . $pop3->getSize() . " bytes\n\n";

// get message listing
// print message headers and first 300 characters of body
for ($x=1; $x<=$pop3->numMsg(); $x++) {
    $msgData = $pop3->getParsedHeaders($x);
    $msgBody = $pop3->getBody($x);
    echo "To: " . $msgData['To'] . "\n";
    echo "From: " . $msgData['From'] . "\n";
    echo "Subject: " . $msgData['Subject'] . "\n";
    echo "Date: " . $msgData['Date'] . "\n";
    echo "\n" . substr($msgBody, 0, 300) . "...\n";
    echo " -- END OF MESSAGE --";
    echo "\n\n";    
}

// delete message #1
$pop3->deleteMsg(1);

// disconnect
$pop3->disconnect();
?>
