<?php
// function to convert file type
// by altering the line endings
function convertFile($file, $from, $to) {
	// define line endings for each platform
	$ends = array("UNIX" => "\n", "MSDOS" => "\r\n", "MAC" => "\r");

	// check to avoid unknown formats
	if (!array_key_exists($from, $ends) || !array_key_exists($to, $ends)) {
		die ("Cannot recognize file format");
	}

	// read file contents into string
	$str = file_get_contents($file) or die ("Cannot read from file");

	// alter line endings
	$str = preg_replace("/" . $ends[$from] . "/", $ends[$to], $str);
	
	// rewrite contents to file
	file_put_contents($file, $str) or die("Cannot write to file");
}

// convert file from UNIX to MS-DOS format
convertFile("data.asc", "UNIX", "MSDOS");
?>
