<?php
// include Math_Histogram class
include "Math/Histogram.php";

// define number series 
$series = array(10,73,27,11,92,97,49,86,92,4,32,61,2,13,48,81,94,17,8);

// initialize an object
$hist = new Math_Histogram();

// connect class to data series
$hist->setData($series);

// define number of bins and upper/lower limits
$hist->setBinOptions(10,0,100);

// calculate frequencies
$hist->calculate();

// print as ASCII bar chart
echo $hist->printHistogram();
?>
