<?php
// check if a number is a prime number
function testPrime($num) {
    // divide each number
    // by all numbers lower than it (excluding 1)

    // if even one such operation returns no remainder
    // the number is not a prime
    for ($x=($num-1); $x>1; $x--) {
        if (($num % $x) == 0) { 
            return false; 
        }
    }
    return true;
}

// list first N primes
function getFirstNPrimes($n) {
    // define an empty array to store primes
    $primesArray = array();

    // start with the first prime
    $count = 2;
    
    // sequentially test numbers
    // until the required number of primes is obtained
    while (sizeof($primesArray) < $n)     {
        if (testPrime($count)) { 
            $primesArray[] = $count; 
        }
        $count++;
    }
    
    return $primesArray;
}

// list the first 90 primes
echo implode(" ", getFirstNPrimes(90));
?>