<?php
// generate the first N Fibonacci numbers
function generateFibonacciNumbers($size) {
    // define array to hold Fibonacci numbers
    $fibonacciArray = array();
    
    $fibonacciArray[0] = 0; // by definition
    $fibonacciArray[1] = 1; // by definition
    
    // generate numbers
    for ($x=2; $x<=$size; $x++) {
        $fibonacciArray[$x] = $fibonacciArray[$x-2] + $fibonacciArray[$x-1];
    }
    
    // return array
    return $fibonacciArray;
}

// list the first 20 Fibonacci numbers
// result: "0 1 1 2 3 5 8...2584 4181 6765"
echo implode(" ", generateFibonacciNumbers(20));
?>
