<?php
// include Calendar class
include "Calendar/Month/Weekdays.php";
include "Calendar/Day.php";

// initialize calendar object
$month = new Calendar_Month_Weekdays(2008, 1);

// build child objects (days of the month)
$month->build();

// format as table
echo "<pre>";

// print month and year on first line
echo "          " . sprintf("%02d", $month->thisMonth()) . "/" . $month->thisYear() . "\n";

// print day names on second line
echo "  M   T   W   T   F   S   S\n";

// iterate over day collection
while ($day = $month->fetch()) {
    if ($day->isEmpty()) {
        echo "    ";
    } else {
        echo sprintf("%3d", $day->thisDay()) . " ";
    }
    
    if ($day->isLast()) {
        echo "\n";
    }
}
echo "</pre>";
?>
