<?php
// function to recursively traverse nested arrays
function arrayTraverse($arr) {
    // check if input is array
    if (!is_array($arr)) { die ("Argument is not array!"); }
    
    // iterate over array
    foreach($arr as $value) {
        // if a nested array
        // recursively traverse
        if (is_array($value)) {
            arrayTraverse($value);
        } else {
            // process the element
            print strtoupper($value) . " \n";
         }
    }
}

// define nested array
$data = array(
    "United States", 
    array("Texas", "Philadelphia"), 
    array("California", 
    array ("Los Angeles", "San Francisco")));

// result: "UNITED STATES TEXAS PHILADELPHIA CALIFORNIA LOS ANGELES SAN FRANCISCO"
arrayTraverse($data);
?>
