<?php
// define a function
function someFunc() {
	// get the number of arguments passed
	$numArgs = func_num_args();
		
    // get the arguments
	$args = func_get_args();
	
	// print the arguments
	print "You sent me the following arguments: ";
	for ($x=0; $x<sizeof($args); $x++)	{
		print "\nArgument $x: ";
		// check if an array was passed
		// iterate and print contents if so
		if (is_array($args[$x])) {
			print " ARRAY ";
			foreach ($args[$x] as $index=>$element) {
				print " $index => $element ";
			}
		} else {
			print " $args[$x] ";
		}
	}
}

// call the function with different arguments
// returns: "You sent me the following arguments: 
// Argument 0: red 
// Argument 1: green 
// Argument 2: blue 
// Argument 3: ARRAY 0 => 4 1 => 5 
// Argument 4: yellow"
someFunc("red", "green", "blue", array(4,5), "yellow");
?>
