<?php
// define function that accepts
// a dynamic number of arguments
function calcSum() {
	$sum = 0;

	// get argument list as array
	$args = func_get_args();
	
	// process argument list
	// add each argument to previous total
	// if any of the arguments is an array
	// use a loop to process it
	for ($x=0; $x<sizeof($args); $x++) {
		if (is_array($args[$x])) {
			foreach ($args[$x] as $a) {
				$sum += $a;
			}
		} else {
			$sum += $args[$x];
		}
	}
	return $sum;
}

// call function with 2 scalar arguments
// result: "The sum of 1 and 10 is 11."
echo "The sum of 1 and 10 is " . calcSum(1,10) . ".\n";

// call function with mixture 
// of 3 scalar and array arguments
// result: " The sum of 1, 2, 5 and 1 is 9."
echo "The sum of 1, 2, 5 and 1 is " . calcSum(1, 2, array(5,1)) . ".\n";
?>
