<?php
// define class
// for a generic computer
class Generic {
	// properties
	public $cpu;
	public $mem;

	// method to set memory specification
	public function setMemory($val) {
		$this->mem = $val;
		echo "Setting memory to $val MB...\n"; 
	}
	
	// method to set processor specification
	public function setCpu($val) {
		$this->cpu = $val;
		echo "Setting processor to \"$val\"...\n"; 
	}
	
	// method to print current configuration
	public function getConfig() {
		echo "Current configuration: $this->cpu CPU, $this->mem MB RAM\n";
	}
}

// create an object of the class
$myPC = new Generic;

// set processor and memory
$myPC->setCpu("Pentium IV");
$myPC->setMemory(1024);

// display configuration
// result: "Current configuration: Pentium IV CPU, 1024 MB RAM"
$myPC->getConfig();
?>
