<?php
// sample class
class Dog {
	// properties
	public $name;
	public $age;

	// methods
	public function getInfo() {
		echo "I am $this->name, $this->age years old\n";
	}

	// method to run on clone operations
	// alter a property of the clone
	public function __clone() {
		$this->name .= " (clone)";	
	}
}

// create instance of class
$spaniel = new Dog;

// set properties
$spaniel->name = "Sam Spade";
$spaniel->age = 6;

// get properties (original)
// result: "I am Sam Spade, 6 years old" 
$spaniel->getInfo();

// clone object 
$terrier = clone $spaniel;

// get properties (clone)
// result: "I am Sam Spade (clone), 6 years old"
$terrier->getInfo();
?>
