<?php
// sample class
class Baby {
    // define static method
    public static function factory() {
        return new Baby;    
    }
    
    // constructor
    // private, so that it cannot be 
    // called directly
    private function __construct() {
        echo "Creating a Baby...\n";
    }
}

// create an instance of the class
$boy = Baby::factory(); // correct
$boy = new Baby();      // wrong, will generate fatal error
?>
