<?php
/**
 * generic Pet class
 *
 * @package Animals
 * @access public
 * @copyright GPL
 * @version 1.1
 * @author K-9
 * @todo add run() and walk() methods
 * @todo add default values for all properties
 */
class Pet {
	/**
	 * pet's name
	 * 
	 * @access private
	 * @var string
	 */
	private $name;

	/**
	 * sets pet's name
	 * 
	 * @access public
	 * @param string $name input value
     * @version 1.0
	 */
	public function setName($name) {
		$this->name = $name;
		return true;
	}

	/**
	 * makes pet sleep
	 * 
	 * @access public
	 * @return string $sleepStr snoring sounds
	 * @see wake()
     * @version 2.3
	 */
	public function sleep() {
		$sleepStr = "Zz zzz zz\n";
		return $sleepStr;
	}
}
?>
