<?php
// function to get an arbitrary range of lines
// from a file
function getLines($file, $startLineNum, $endLineNum) {
    // check for valid range endpoints
    if ($endLineNum < $startLineNum) { die("Ending line number must be greater than or equal to starting line number!"); }

    // initialize line counter
    $lineCounter = 0;
    
    // open the file for reading
    $fp = fopen($file, "rb") or die("Cannot open file");
    
    // read contents line by line
    while (!feof($fp) && $lineCounter <= $endLineNum)  {
        // once the starting line number is attained
        // save contents to an array
        // until the ending line number is attained
        $lineCounter++;
        $line = fgets($fp);
        if ($lineCounter >= $startLineNum && $lineCounter <= $endLineNum) {
            $lineData[] = $line;
        }
    }
    
    // close the file
    fclose($fp) or die ("Cannot close file");

    // return line range to caller
    return $lineData; 
}

// return lines 2-6 of file as array
$lines = getLines("fortunes.txt", 2, 6);
print_r($lines);
?>
