<?php
// function to get an arbitrary number of bytes
// from a file
function getBytes($file, $startByte, $endByte) {
    // check for valid range endpoints
    if ($endByte < $startByte) { die("Ending byte number must be greater than or equal to starting byte number!"); }

    // open the file for reading
    $fp = fopen($file, "rb") or die("Cannot open file");
    
    // seek to starting byte
    // retrieve data by character
    // until ending byte
    fseek ($fp, $startByte, SEEK_SET);
    while (!(ftell($fp) > $endByte)) {
        $data .= fgetc($fp);
    }
    
    // close the file
    fclose($fp) or die ("Cannot close file");

    // return data to caller
    return $data; 
}

// return first 10 bytes of file
echo getBytes("fortunes.txt", 0, 9);
?>
