<?php
// function to set lock for file
function lock($file) {
    return touch("$file.lock");
}

// function to remove lock for file
function unlock($file) {
    return unlink ("$file.lock");
}

// function to check if lock exists 
function isLocked($file) {
    clearstatcache();
    return file_exists("$file.lock") ? true : false;
}

// set file name
$file = "dummy.txt";

while ($attemptCount <= 60) {
    // if file is not in use
    if (!isLocked($file)) {
        // lock file
        lock($file);
    
        // perform actions
        $fp = fopen($file, "ab") or die("Cannot open file");
        fwrite($fp, "This is a test.") or die("Cannot write to file");
        fclose($fp) or die("Cannot close file");
        
        // unlock file
        unlock($file);

        echo "File successfully written.";
        // break out of loop
        break;
    } else {    
    // if file is in use
        // increment attempt counter
        $attemptCount++;
        
        // sleep for one second
        sleep(1);
        
        // try again
    }
} 
?>
