<?php
// define directory
$dir = "./test/a";

// check if it is a directory
if (!is_dir($dir)) { die("Argument '$dir' is not a directory!"); }

// open directory handle
$dh = opendir($dir) or die ("Cannot open directory '$dir'!");

// iterate over files in directory
while (($file = readdir($dh)) !== false)  {
    // filter out "." and ".."
    if ($file != "." && $file != "..") {
        // add an entry to the file list for this file
        $fileList[] = array("name" => $file, "size" => filesize("$dir/$file"), "date" => filemtime("$dir/$file"));
    }
}

// close directory
closedir($dh);

// separate all the elements with the same key
// into individual arrays
foreach ($fileList as $key=>$value) {
   $name[$key]  = $value['name'];
   $size[$key]  = $value['size'];
   $date[$key] = $value['date'];
}

// now sort by one or more keys
// sort by name
array_multisort($name, $fileList);
print_r($fileList);

// sort by date and then size 
array_multisort($date, $size, $fileList);
print_r($fileList);
?>
