<?php
// include HTML_Table class
include "HTML/Table.php";

// initialize object
$table = new HTML_Table(array("border" => 1, "cellpadding" => 5));

// set default value for empty cells
$table->setAutoFill("Unavailable");

// define data for table
$data = array(
    array("Name", "Skype", "Yahoo", "AIM", "MSN"),
    array("Luke", "luke09", null, null, "luke.skywalker"),
    array("Ben", null, "obiwan21", null, "obiwan.kenobi"),
    array("Darth", null, null, "darkdude", null)
);

// process data
// add cells as required
$rowCount = 0;
foreach ($data as $person) {
    $colCount = 0;
	foreach ($person as $p) 	{
		$table->setCellContents($rowCount, $colCount, $data[$rowCount][$colCount]);
		$colCount++;
	}
	$rowCount++;
}

// arbitrarily add some more cells
$table->setCellContents(4, 0, "Leia");
$table->setCellContents(4, 4, "leia46");

// render and display table
echo $table->toHTML();
?>
