<?php
// define hierarchical data set
$data = array (
	"bread",
	"eggs",
	"cheese" => array("parmesan", "mozzarella"),
	"meat" => array("white" => array("fish", "chicken"), "red" => array("beef", "lamb")),
	"milk"
);

// function to recursively traverse 
// a series of nested arrays
function arrayTraverse($arr) {
	// check if input is array
	if (!is_array($arr)) { die ("Argument is not array!"); }

	// start HTML list
	echo "<ul>";

	// iterate over array
	foreach($arr as $key=>$value)	{
		if (is_array($value)) 	{
			// if a nested array
			// print key
			// recursively traverse and
		// start a new, inner list
			print "<li>$key</li>";
			arrayTraverse($value);
		} else {
		// if not an array
			// print value as list item
			print "<li>$value</li>";
	 	}
    }

	// close HTML list
	echo "</ul>";
}

// process the hierarchical list
// print values
// use list indentation to indicate hierarchy
arrayTraverse($data);
?>
