<?php
// increase script execution time limit
ini_set('max_execution_time', 600);

// include HTML_Progress class
include "HTML/Progress2.php";
 
// create object
$progress = new HTML_Progress2();

// define function to
// check if a number is a prime number
function testPrime($num) {
	// divide each number
	// by all numbers lower than it (excluding 1)

	// if even one such operation returns no remainder
	// the number is not a prime
	for ($x=($num-1); $x>1; $x--) 	{
		if (($num%$x) == 0) { return false; }
	}
	return true;
}
?>
<html>
<head>
<?php 
echo $progress->getStyle(false); 
echo $progress->getScript(false);
?>
</head>
<body>

<div id="progress" style="position: absolute; left: 35%">
<?php 
// initialize progress bar display
$progress->display(); 
?>
</div>

<div id="output" style="position: absolute; top: 100px">
<?php
// initialize counter
$count = 0;

// numbers to check for prime-ness
$limit = 10000;

// loop 
while ($count <= $limit) {
	// test if counter value is a prime number
	// print if so
	if (testPrime($count)) { echo "$count "; }

	// on every 50th number
	// get percentage of task completed
	// refresh the progress bar	
	if ($count % 50 == 0) 	{
	    $percentDone = intval($count/$limit*100);
	    $progress->moveStep($percentDone);	
	}

	// increment counter
	$count++;
}

?>
</div> 
</body>
</html>
