<html>
<head>
<link rel="stylesheet" href="layersmenu-gtk2.css" type="text/css"></link>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu-browser_detection.js"></script>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu-library.js"></script>
<script language="JavaScript" type="text/javascript" src="libjs/layersmenu.js"></script>
</head>
<body>
<?php
// include PHPLayers class
include "lib/PHPLIB.php";
include "lib/layersmenu-common.inc.php";
include "lib/layersmenu.inc.php";

// include PEAR and DB classes for database connectivity
include "PEAR.php";
include "DB.php";

// initialize menu object
$menu = new LayersMenu();

// define file paths
$menu->setDirroot(".");
$menu->setImgwww("menuimages/");
$menu->setIconwww("menuicons/");

// set menu templates
$menu->setHorizontalMenuTpl("templates/layersmenu-horizontal_menu.ihtml");
$menu->setSubMenuTpl("templates/layersmenu-sub_menu.ihtml");

// define database connection parameters as DSN
$menu->setDBConnParms('mysql://user:pass@localhost/db1');

// set name of menu table
$menu->setTableName('menu');

// map table fields
$menu->setTableFields(array(
	"id" => "id",
	"parent_id"	=> "parent",
	"text" => "label",
	"href" => "link",
	"title" => "label",
	"icon" => "",
	"target" => "",
	"orderfield" => "",
	"expanded" => ""));

// retrieve menu information
$menu->scanTableForMenu("myMenu");

// generate menu
$menu->newHorizontalMenu("myMenu");

// render and display menu
$menu->printHeader();
$menu->printMenu("myMenu");
$menu->printFooter();
?>
</body>
</html>
