<?php
// start timer
$start = (float) array_sum(explode(' ', microtime()));

// execute some time-consuming code
// function to check if a number is prime
function testPrime($num) {
	for ($x=($num-1); $x>1; $x--) 	{
		if (($num%$x) == 0) { 
    		return false; 
        }
	}
	return true;
}

// test first 1000 numbers for prime-ness
while ($count <= 1000) {
	// test if counter value is a prime number
	// print if so
    if (testPrime($count)) { 
         echo "$count "; 
     }
     $count++;
}

// end timer
$end = (float) array_sum(explode(' ', microtime()));

// calculate and print elapsed time
echo "Total processing time was " . sprintf("%.4f", ($end-$start)) . " seconds";
?>
