<html>
<head></head>
<body>
<?php
if (!$_POST['submit']) {
    // not submitted
    // display form
?>    
    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
    Username: <br /> <input type="text" name="username"> <br />
    Password (6 or more characters): <br /> <input type="password" name="password"> <br />
    E-mail: <br /> <input type="text" name="email">    <br />
    Age: <br /><input type="text" name="age" size="2"> <br />
    <input type="submit" name="submit">
    </form>
<?php
} else {
    // submitted
    // initialize array to hold validation errors
    $errorList = array();
    
    // check if required input is present
    if (!isset($_POST['username']) || trim($_POST['username']) == "")     {
        $errorList[] = "ERROR: Missing value 'username'";
    }
    
    // check if input is of correct type
    if (!is_numeric($_POST['age'])) {
        $errorList[] = "ERROR: Incorrect data type for value 'age'";
    }
    
    // check if input is of correct length
    if (strlen($_POST['password']) < 6) {
        $errorList[] = "ERROR: Incorrect length for value 'password'";
    }
    
    // check if input conforms to a pattern
    if (!eregi("^([a-z0-9_-]|\.)+@(([a-z0-9_-])+\.)+[a-z]{2,6}$", $_POST['email'])) {
        $errorList[] = "ERROR: Incorrect format for value 'email'";
    }
    
    // check to see if any validation errors occurred
    
    if (sizeof($errorList) > 0) {
        // if errors occurred
        // display error list
        // and terminate script processing
        echo "Please review and correct the following errors: <br />";
        foreach ($errorList as $e) {
            echo "$e <br />";
        }
    } else {
        // if no errors occurred
        // process input
        // for example, save to a database or file

        // display success message
        echo "Thank you for your submission";
    }
}
?>
</body>
</html>
