<html>
<head></head>
<body>
<?php
// include HTML_QuickForm class
include "HTML/QuickForm.php";

// initialize form object
$form = new HTML_QuickForm("userReg");

// add text input boxes
$form->addElement("text", "name", "Name:", array("size" => 30));
$form->addElement("password", "password", "Password:", array("size" => 30));
$form->addElement("text", "age", "Age:", array("size" => 2));
$form->addElement("text", "email", "E-mail address:");

// add submit button
$form->addElement("submit", null, "Submit");

// run filters on input values
$form->applyFilter(array("name", "password", "age", "email"), "trim");

// define input validation rules
$form->addRule("name", "ERROR: Missing value", "required");
$form->addRule("password", "ERROR: Missing value", "required");
$form->addRule("password", "ERROR: Incorrect length", "minlength", 6);
$form->addRule("age", "ERROR: Missing value", "required");
$form->addRule("age", "ERROR: Incorrect data type", "numeric");
$form->addRule("email", "ERROR: Missing value", "required");
$form->addRule("email", "ERROR: Incorrect format", "email");

// validate input 
if ($form->validate()) {
    // if valid, freeze the form
    $form->freeze();
    
    // retrieve submitted data as array
    $data = $form->exportValues();
    
    // process input
    // for example, save to a database or file
    
    // display success message and exit
    echo "Thank you for your submission";    
    exit;
}

// render and display the form
$form->display();
?>

</body>
</html>
