<?php
// function to validate a US zip code
function validateUSZip($str) {
    // test if input is of the form dddd-ddddd
    return preg_match("/^\d{5}(-\d{4})?$/" ,$str);
}

// function to validate a UK zip code
function validateUKZip($str) {
    // test if input is of the form ssdd dss 
    return eregi("^[a-z]{1,2}[0-9]{1,2}([a-z])?[[:space:]]?[0-9][a-z]{2}$" ,$str);
}

// result: "Is a properly-formatted US zip code"
echo validateUSZip("10113-1243") ? "Is a properly-formatted US zip code" : "Is an improperly-formatted US zip code";

// result: "Is a properly-formatted UK postcode"
echo validateUKZip("NW3 5ED") ? "Is a properly-formatted UK postcode" : "Is an improperly-formatted UK postcode";
?>
