<?php
// function to validate a URL
function validateUrl($str) {
    // test if input matches URL pattern
    return preg_match("/^(http|https|ftp):\/\/([a-z0-9]([a-z0-9_-]*[a-z0-9])?\.)+[a-z]{2,6}\/?([a-z0-9\?\._-~&#=+%]*)?/", $str);
}

// result: "Is valid"
echo validateUrl("http://www.example.com/html/index.php") ? "Is valid" : "Is invalid";
 
// result: "Is valid"
echo validateUrl("http://www.some.site.info") ? "Is valid" : "Is invalid";
 
// result: "Is invalid"
echo validateUrl("http://some") ? "Is valid" : "Is invalid";
?>
