<html>
<head></head>
<body>
<?php
// function to rewrite submitted values
// as hidden form fields
function importPrevPageData() {
    $hiddenDataStr = "<!-- input carried forward begins -->\n";
    foreach ($_POST as $key => $value) {
        $hiddenDataStr .= "<input type=\"hidden\" name=\"" . htmlentities($key) . "\" value=\"" . htmlentities(stripslashes($value)) . "\">\n";
    }
    $hiddenDataStr .= "<!-- input carried forward ends -->\n";
    echo $hiddenDataStr;
}

// look for the page number
// if not available, assume page 1
$pageID = isset($_POST['pageID']) ? $_POST['pageID'] : 1;

// display pages by number
switch ($pageID) {
    case 1:
?>
        <!-- page 1 -->
        <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
        Name: 
        <br />
        <input type="text" name="name" size="30">
        <br />
        E-mail address:
        <br />
        <input type="text" name="email">
        <br />
        Telephone:
        <br />
        <input type="text" name="tel" size="10">
        <br />
        <input type="hidden" name="pageID" value=<?php echo ($pageID+1); ?>>
        <input type="submit" name="submit" value="Go to Page 2">
        </form>
<?php
        break;
        
    case 2:
        // perform validation of page 1 data
        // if errors, display error list
        // if no errors, display page 2
?>
        <!-- page 2 -->
        <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
        Card type: 
        <br />
        <select name="cctype">
            <option value="V">Visa</option>
            <option value="M">MasterCard</option>
            <option value="A">AmEx</option>
        </select>
        <br />
        Name on credit card:
        <br />
        <input type="ccname" name="ccname" size="30">
        <br />
        Credit card expiration date (MM/YYYY):
        <br />
        <input type="text" name="ccexp" size="7">
        <br />
        Email invoice:
        <br />
        <input type="radio" name="email_invoice" value="Y">Yes
        <input type="radio" name="email_invoice" value="N">No
        <br />
        <input type="hidden" name="pageID" value=<?php echo ($pageID+1); ?>>
<?php 
        // remove unnecessary form elements
        unset($_POST['submit']);
        unset($_POST['pageID']);
        
        // import previous form submission
            importPrevPageData(); 
?>
        <input type="submit" name="submit" value="Place Order">
        </form>
<?php
        break;
        
    case 3:
        // perform validation of page 2 data
        // if errors, display error list
        // if no errors, display page 3

        // remove unnecessary form elements
        unset($_POST['submit']);
        unset($_POST['pageID']);

        // get all the submitted data as an array        
        $data = $_POST;

        // process the data
        // for example, save to a database or file
            print_r($data);
    
        // print success message
        echo "Thank you for your order";
        break;
}
?>
</body>
</html>
