<?php
// create database object
$db = new SQLiteDatabase('products.db') or die ("ERROR: Cannot open database");

// create and execute INSERT query 
$sql = "INSERT INTO products (id, name) VALUES ('5', 'pears')";
$db->query($sql) or die ("ERROR: " . sqlite_error_string(sqlite_last_error($handle)) . " (query was $sql)");

// create and execute SELECT query 
$sql = "SELECT id, name FROM products";
$result = $db->query($sql) or die ("ERROR: " . sqlite_error_string(sqlite_last_error($handle)) . " (query was $sql)");

// check for returned rows
// print if available
if ($result->numRows() > 0) {
    while($row = $result->fetch()) {
        echo $row[0] . " = " . $row[1] . "\n";
    }
}

// close database file
unset($db);
?>
