<?php
// attempt a connection
try {
   $pdo = new PDO('mysql:dbname=db1;host=localhost', 'user', 'pass');
   $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
   die("ERROR: Cannot connect: " . $e->getMessage());
}

try {
    // begin a new transaction
    $pdo->beginTransaction();

    // create and execute two DML queries
    // in case of errors, roll back transaction
    $sql = "INSERT INTO orders (id, qty) VALUES ('4', '20')";
    $pdo->exec($sql);
    $sql = "UPDATE inventory SET qty = qty-20 WHERE id = 4";
    $pdo->exec($sql);
    
    // commit the changes
    $pdo->commit();
    echo "Transaction completed successfully";
} catch (PDOException $e) {
    // in case of error
    // roll back the transaction
    $pdo->rollBack();
    die("ERROR: " . $e->getMessage());
}

// close connection
unset($pdo);
?>