<?php
// open connection
$connection = mysqli_connect('localhost', 'user', 'pass', 'db1') or die ("ERROR: Cannot connect");

// turn off transaction auto-commit
mysqli_autocommit($connection, FALSE);

// begin a new transaction
// create and execute two DML queries
// in case of errors, roll back transaction
$sql = "INSERT INTO orders (id, qty) VALUES ('4', '20')";
if (mysqli_query($connection, $sql) !== TRUE) { 
    echo "ERROR: " . mysqli_error($connection) . " (query was $sql)";
    mysqli_rollback($connection);
    exit();
}

$sql = "UPDATE inventory SET qty = qty-20 WHERE id = 4";
if (mysqli_query($connection, $sql) !== TRUE) { 
    echo "ERROR: " . mysqli_error($connection) . " (query was $sql)";
    mysqli_rollback($connection);
    exit();
}

// no errors
// commit the transaction
mysqli_commit($connection);
echo "Transaction completed successfully";

// close connection
mysqli_close($connection);
?>
