<?php
// open connection
$connection = mysqli_connect('localhost', 'user', 'pass', 'db1') or die ("ERROR: Cannot connect");

// create array of queries
$queries[] = "SELECT name, price FROM products";
$queries[] = "SELECT name, qty FROM products,orders WHERE products.id = orders.id";

// join individual queries into composite query
$multiQuery = implode(";", $queries);

// execute composite query
// process the results
$multiResult = mysqli_multi_query($connection, $multiQuery) or die("ERROR: An error occurred in one of the queries");
$count = 0;
do {
    // get next result set
    if ($result = mysqli_store_result($connection)) {
        // print the corresponding query string
        echo "\n" . $queries[$count] . ":\n";
        // print the records
        while ($row = mysqli_fetch_row($result)) {
          echo $row[0] . " = " . $row[1] . "\n";
        }
        // free the result set
        mysqli_free_result($result);
    }
    // increment counter
    // repeat for next result set
    $count++;
} while (mysqli_next_result($connection));

// close connection
mysqli_close($connection);
?>
