<?php
// attempt a connection
try {
   $pdo = new PDO('mysql:dbname=db1;host=localhost', 'user', 'pass');
   $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
   die("ERROR: Cannot connect: " . $e->getMessage());
}

// create and execute SELECT query
// use record ID returned by previous script
// to retrieve the binary data
try {
    $sql = "SELECT data, name FROM bindata WHERE id = 1";
    $rslt = $pdo->query($sql);
    $row = $rslt->fetch();
    file_put_contents($row[1] . '.new', $row[0]);
    echo "File saved to [" . $row[1] . ".new]";
} catch (PDOException $e) {
    // in case of error
    // display error message
    die("ERROR: " . $e->getMessage());
}

// close connection
unset($pdo);
?>
