<?php
$xmlData =<<< END
<?xml version="1.0"?>
<data>
    <item>
        <id>20</id>
        <name>mangoes</name>
        <price>11</price>
    </item>
    <item>
        <id>22</id>
        <name>strawberries</name>
        <price>5</price>
    </item>
    <item>
        <id>23</id>
        <name>grapes</name>
        <price>25</price>
    </item>
</data>
END;

// read XML data
$xml = simplexml_load_string($xmlData) or die("ERROR: Cannot create SimpleXML object");

// create a custom collection of <name> nodes
// using an XPath query
// result: "mangoes strawberries grapes "
foreach ($xml->xpath('//name') as $name) {
    echo "$name ";
}
