<html>
<head></head>
<body>

<?php
if (!isset($_POST['submit'])) {
?>

    <form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
        Search Google for: <input type="text" name="q">
        <input type="submit" name="submit" value="Search">
    </form>

<?php
} else {
    // initialize SOAP client
    $client = new SoapClient("http://api.google.com/GoogleSearch.wsdl");

    // set up input parameters to be
    // passed to the remote procedure
    $key = 'xxxxxx';     // insert your Google key here
    $q   = $_POST['q'];  // search term
    $start = 0;          // start from result n
    $maxResults = 10;    // show a total of n results
    $filter = false;     // remove similar results
    $restrict = '';      // restrict by topic
    $safeSearch = false; // remove adult links
    $lr = '';            // restrict by language
    $ie = '';            // input encoding
    $oe = '';            // output encoding
    
    // try the code 
    try { 
        // invoke the method on the server
           $result = $client->doGoogleSearch($key, $q, $start, $maxResults, $filter, $restrict, $safeSearch, $lr, $ie, $oe);
    // catch exceptions
       } catch (SoapFault $fault) {
        die("ERROR: " . $fault->faultstring);
    } 

    // else print results
    echo "<h2>Search Results</h2>";
    echo $result->estimatedTotalResultsCount . " hits found in " . $result->searchTime . " ms";
    echo "<ul>";
    if (is_array($result->resultElements)) {
        foreach ($result->resultElements as $r) {
            echo "<li><a href=\"" . $r->URL . "\">" . $r->title . "</a>";
            echo "<br>";
            echo $r->snippet . "(" . $r->cachedSize . ")";
            echo "<p></p>";
        }
    }
    echo "</ul>";
}
?>

</body>
</html>
