<html>
<head></head>
<body>

<?php
if (!isset($_POST['submit'])) {
?>

    <form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
        Search Amazon.com for ISBN: <input type="text" name="isbn">
        <input type="submit" name="submit" value="Search">
    </form>

<?php
} else {
    // initialize SOAP client
    $client = new SoapClient("http://webservices.amazon.com/AWSECommerceService/AWSECommerceService.wsdl");

    // set operation parameters
    $params->{"ItemId"} = $_POST['isbn'];     // ISBN number
    
    // generate request object
    $request->{"Request"} = $params;
    $request->{"SubscriptionId"} = "xxxxx";  // insert your ECS key here

    // try the code 
    try { 
        // invoke AWS method on server
        $result=$client->ItemLookup($request);
    // catch exceptions
       } catch (SoapFault $fault) {
        die("ERROR: " . $fault->faultstring);
    } 

    // print results
    echo "<h2>Search Results</h2>";
    echo "ASIN: " . $result->Items->Item->ASIN . "<br />";    
    echo "Title: " . $result->Items->Item->ItemAttributes->Title . "<br />";    
    echo "Author: " . $result->Items->Item->ItemAttributes->Author . "<br />";    
    echo "<a href=\"" . $result->Items->Item->DetailPageURL . "\">Read more</a>...";    
}
?>
</body>
</html>
