<?php
// create PDF document object
$pdf = pdf_new();

// open PDF file
pdf_open_file($pdf, "screenplay.pdf");

// begin page
pdf_begin_page($pdf, 595, 842);

// get and use a font
$courier = pdf_load_font($pdf, "Courier", "host", "");
pdf_setfont($pdf, $courier, 10);

// write text
pdf_show_xy($pdf, "No one can tell you what the Matrix is, Neo.", 50, 750);
pdf_show_xy($pdf, "You must see it for yourself.", 50, 730);

// add an image
$image = pdf_load_image($pdf, "jpeg", "matrix.jpg", "");
pdf_place_image($pdf, $image, 50, 650, 0.25);

// end page
pdf_end_page($pdf);

// close and save file
pdf_close($pdf);
?>
