<?php
// custom error handler
function eh ($type, $msg, $file, $line) {
	// construct the error string 
	$errorStr = "Date: " . date("d-m-Y H:i:s", mktime()) . "\n";
	$errorStr .= "Error type: $type\n";
	$errorStr .= "Error message: $msg\n";
	$errorStr .= "Script: $file($line)\n";
	$errorStr .= "Host: " . $_SERVER['HTTP_HOST'] . "\n";
	$errorStr .= "Client: " . $_SERVER['HTTP_USER_AGENT'] . "\n";
	$errorStr .= "Client IP: " . $_SERVER['REMOTE_ADDR'] . "\n";
	$errorStr .= "Request URI: " . $_SERVER['REQUEST_URI'] . "\n\n";

	// display error message
	echo nl2br("Due to an internal error, this script has been terminated. The following lines display more information on the error: \n\n $errorStr");
	
	// end the script
	exit();
}

// define a custom handler for errors
set_error_handler("eh");

// generate a warning
echo file_get_contents("non-existent-file.txt");
?>
