<?php
// function to connect to an SQLite database
// execute a query and process the results
function getData() {
    // connect to database
    $handle = sqlite_open("products.db") or die ("ERROR: Cannot open database");

    // create and execute SELECT query
    $sql = "SELECT id, name FROM products";
    $result = sqlite_query($handle, $sql) or die ("ERROR: " . sqlite_error_string(sqlite_last_error($handle)) . " (query was $sql)");
    
    // check for returned rows
    // print if available
    if (sqlite_num_rows($result) > 0) {
        while($row = sqlite_fetch_array($result)) {
            echo $row[0] . " = " . $row[1] . "\n";
        }
    }
    
    // close database file
    sqlite_close($handle);
}

// include class
include "Benchmark/Iterate.php";

// initialize iterator
$bench = new Benchmark_Iterate();

// execute function 100 times
// print results
$bench->run(100, 'getData');
$bench->display();
?>
