<?php
// example class
class shoppingList {
    // constructor
    public function __construct() {
        $stack = array();
    }
    
    // add item to list with quantity
    public function add($item, $quantity) {
        $this->stack[$item] = $quantity;
    }
    
    // remove item from list
    public function remove($item) {
        if (array_key_exists($item, $this->stack)) {
            unset($this->stack[$item]);
        } else {
            throw new KeyException("Cannot find item in list");
        }
    }
    
    // get list
    public function get() {
        return $this->stack;
    }
    
    // pretty-print list
    public function pretty() {
        foreach ($this->stack as $k=>$v) {
            $str .= "$k($v) ";
        }
        return $str;
    }
}

// define custom exception for use
// in example class
class KeyException extends Exception { }
?>
